Resolido Docs
Statistics

Customer activity

GET
/stats/activity

When customers write (per day, hour and weekday) and from which devices.

Authorization

bearer stats:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: stats:read

Query Parameters

from?string

Start of the period, ISO 8601 date or datetime (e.g. 2026-10-01). Default: 30 days ago.

to?string

End of the period, ISO 8601 date or datetime. Default: now.

Response Body

Success

application/json
  1. response
period*
totals*
points*array<>
hours*array<number>

Incoming customer messages per hour of day, index 0–23 (organization time zone).

weekdays*array<number>

Incoming customer messages per weekday, index 0 = Monday.

devices*
curl -X GET "https://example.com/stats/activity"
{  "period": {    "start": 0,    "end": 0  },  "totals": {    "chat": 0,    "email": 0  },  "points": [    {      "property1": "string",      "property2": "string"    }  ],  "hours": [    0  ],  "weekdays": [    0  ],  "devices": {    "mobile": 0,    "tablet": 0,    "desktop": 0,    "unknown": 0  }}